variable "project_name" {
  description = "Nom du projet / préfixe pour les VMs"
  type        = string
}

variable "instance_type" {
  description = "Type de machine à utiliser pour les instances"
  type        = string
}

variable "zone" {
  description = "Zone où déployer les instances"
  type        = string
}

variable "frontend_subnet_id" {
  description = "ID du sous-réseau frontend"
  type        = string
}

variable "backend_subnet_id" {
  description = "ID du sous-réseau backend"
  type        = string
}

variable "database_subnet_id" {
  description = "ID du sous-réseau database"
  type        = string
}
